--- old/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2015-08-19 07:25:26.286161201 -0400
+++ new/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2015-08-19 07:25:26.292335449 -0400
@@ -330,10 +330,10 @@
 		/* restart ccbs "timeout" watchdog */
 		acb->timeout_count = 0;
 		acb->timeout_id = timeout(arcmsr_ccbs_timeout, (caddr_t)acb,
-		    (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 		acb->timeout_sc_id = timeout(arcmsr_devMap_monitor,
 		    (caddr_t)acb,
-		    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 		mutex_exit(&acb->acb_mutex);
 		return (DDI_SUCCESS);
 
@@ -2954,9 +2954,9 @@
 	acb->timeout_count = 0;
 	/* active ccbs "timeout" watchdog */
 	acb->timeout_id = timeout(arcmsr_ccbs_timeout, (caddr_t)acb,
-	    (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+	    drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 	acb->timeout_sc_id = timeout(arcmsr_devMap_monitor, (caddr_t)acb,
-	    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+	    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 
 	/* report device info */
 	ddi_report_dev(dev_info);
@@ -3162,8 +3162,7 @@
 			    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 				/* do pkt timeout check each 60 secs */
 				acb->timeout_id = timeout(arcmsr_ccbs_timeout,
-				    (void*)acb, (ARCMSR_TIMEOUT_WATCH *
-				    drv_usectohz(1000000)));
+				    (void*)acb, drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 			}
 			mutex_exit(&acb->isr_mutex);
 			arcmsr_enable_allintr(acb, intmask_org);
@@ -3213,7 +3212,7 @@
 	    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 		/* do pkt timeout check each 60 secs */
 		acb->timeout_id = timeout(arcmsr_ccbs_timeout,
-		    (void*)acb, (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+		    (void*)acb, drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 	}
 	mutex_exit(&acb->isr_mutex);
 	arcmsr_enable_allintr(acb, intmask_org);
@@ -3431,7 +3430,7 @@
 	    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 		/* do pkt timeout check each 5 secs */
 		acb->timeout_id = timeout(arcmsr_devMap_monitor, (void*)acb,
-		    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 	}
 }
 
